# API · Create group enrollment URL

> Create group enrollment URL: POST /api/v1/collect/set/urlgroup.

- kind: api-operation
- status: stable
- api_version: v1
- last_verified: 2026-10-20
- url: https://tilopay.com/en/developers/api/cobros-tarjetas-guardadas/set-url-group

```http
POST /api/v1/collect/set/urlgroup
```

## What it does [#que-hace]

Create group enrollment URL.

## Authentication [#autenticacion]

Host: `https://app.tilopay.com`. Requires the API bearer token in `Authorization: Bearer <token>` and the integration key in the body (`key`).

[Get the API token](/en/developers/api/autenticacion/token-api).

## Parameters [#parametros]

<Param id="set-url-group-parametro-key" name="key" type="string" required>
Integration key.
</Param>

<Param id="set-url-group-parametro-name" name="name" type="string">
Link name.
</Param>

<Param id="set-url-group-parametro-currency" name="currency" type="string">
ISO 4217 currency.
</Param>

<Param id="set-url-group-parametro-base_amount" name="base_amount" type="string">
Base amount.
</Param>

<Param id="set-url-group-parametro-amount_max_daily" name="amount_max_daily" type="string">
Daily maximum amount.
</Param>

<Param id="set-url-group-parametro-amount_max_month" name="amount_max_month" type="string">
Monthly maximum amount.
</Param>

<Param id="set-url-group-parametro-group" name="group" type="string">
Group ID.
</Param>

## Request example [#ejemplo-request]

`<api_key>` is the placeholder for your integration key.

```json
{
  "key": "<api_key>",
  "name": "Name link",
  "group": "1",
  "currency": "USD",
  "base_amount": "5.00",
  "amount_max_daily": "10.00",
  "amount_max_month": "100.00"
}
```

## Response [#respuesta]

Share link with customers enrolling in the group.

<Param id="set-url-group-respuesta-type" name="type" type="unknown">
`type`.
</Param>

<Param id="set-url-group-respuesta-errors" name="errors" type="unknown">
`errors`.
</Param>

<Param id="set-url-group-respuesta-link" name="link" type="unknown">
`link`.
</Param>

```json
{
  "type": "200",
  "errors": "",
  "link": "https://app.tilopay.com/link/TXc9PXw0"
}
```

```schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string"
    },
    "errors": {
      "type": "string"
    },
    "link": {
      "type": "string"
    }
  }
}
```
